io.agora.rtc

## Class Rectangle

- java.lang.Object
- - io.agora.rtc.Rectangle

-     public class Rectangle
      extends java.lang.Object

  Rectangle data structure.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `height` Height (px)
    `private int` | `width` Width (px)
    `private int` | `x` X coordinate
    `private int` | `y` Y coordinate

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rectangle()` Default constructor for Rectangle.
    `Rectangle(int x, int y, int width, int height)` Constructs Rectangle with position and size.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()` Gets the height (px).
    `int` | `getWidth()` Gets the width (px).
    `int` | `getX()` Gets the X coordinate.
    `int` | `getY()` Gets the Y coordinate.
    `void` | `setHeight(int height)` Sets the height (px).
    `void` | `setWidth(int width)` Sets the width (px).
    `void` | `setX(int x)` Sets the X coordinate.
    `void` | `setY(int y)` Sets the Y coordinate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          private int x

      X coordinate

    - #### y

          private int y

      Y coordinate

    - #### width

          private int width

      Width (px)

    - #### height

          private int height

      Height (px)

  - ### Constructor Detail

    - #### Rectangle

          public Rectangle()

      Default constructor for Rectangle.

    - #### Rectangle

          public Rectangle(int x,
                           int y,
                           int width,
                           int height)

      Constructs Rectangle with position and size.
      Parameters:
        `x` - X coordinate
        `y` - Y coordinate
        `width` - Width (px)
        `height` - Height (px)

  - ### Method Detail

    - #### getX

          public int getX()

      Gets the X coordinate.
      Returns:
        X coordinate

    - #### setX

          public void setX(int x)

      Sets the X coordinate.
      Parameters:
        `x` - X coordinate

    - #### getY

          public int getY()

      Gets the Y coordinate.
      Returns:
        Y coordinate

    - #### setY

          public void setY(int y)

      Sets the Y coordinate.
      Parameters:
        `y` - Y coordinate

    - #### getWidth

          public int getWidth()

      Gets the width (px).
      Returns:
        Width (px)

    - #### setWidth

          public void setWidth(int width)

      Sets the width (px).
      Parameters:
        `width` - Width (px)

    - #### getHeight

          public int getHeight()

      Gets the height (px).
      Returns:
        Height (px)

    - #### setHeight

          public void setHeight(int height)

      Sets the height (px).
      Parameters:
        `height` - Height (px)